######################################################################
## sellib.mk
## 
## Please read README file.
######################################################################

R_OBJS		= user-rtime.o user-xtype.o
R_CC		= $(ANSI_CC) $(ANSI_CFLAGS) -c

## for SPARC Solaris
#R_P_CFLAGS	= -DMOTIF_WIDGETS -DDESIGN_TIME -DUIMX_INTERNAL \
#		  -D_NO_PROTO -DXOPEN_CATALOG -DSOLARIS -DASTEC_EDITOR

## for HP-UX
#R_P_CFLAGS	= -DMOTIF_WIDGETS -DDESIGN_TIME -DUIMX_INTERNAL -D_NO_PROTO \
#		  -Dhp700v9 -Wp,-H400000 -z +DA1.0 +DS1.1 -DSYSV \
#		  -DXOPEN_CATALOG -DASTEC_EDITOR

## for SGI
#R_P_CFLAGS	= -DMOTIF_WIDGETS -DDESIGN_TIME -DUIMX_INTERNAL -D_NO_PROTO \
#		  -signed -float -woff 1009 -woff 1048 -DSYSV -DXOPEN_CATALOG \
#		  -D_OLD_TERMIOS -DASTEC_EDITOR

## for Digital UNIX
#R_P_CFLAGS	= -DMOTIF_WIDGETS -DDESIGN_TIME -DUIMX_INTERNAL -D_NO_PROTO \
#		  -Dosf1 -DNO_STRDUP -D_PTY_DRIVER -DMOTIF -DXOPEN_CATALOG \
#		  -DXLIB_ILLEGAL_ACCESS -DUSE_STDLIB


R_CFLAGS	= $(MOTIF_CFLAGS) $(X_CFLAGS) \
		  -I$(INTGRTN_DIR)/include \
		  -I$(UX_DIR)/custom/include \
		  -I$(XRTHOME)/include \
		  -I$(XRTHOME)/src/tools \
		  -I$(XRT_CFLAGS) \
		  $(R_P_CFLAGS)

user-rtime.c:
	/bin/cp $(INTGRTN_DIR)/runtime/$@ .

user-xtype.c:
	/bin/cp $(INTGRTN_DIR)/runtime/$@ .

user-rtime.o: user-rtime.c
	$(R_CC) $(R_CFLAGS) $< -o $@

user-xtype.o: user-xtype.c
	$(R_CC) $(R_CFLAGS) $< -o $@

rclean:
	/bin/rm -f $(R_OBJS)
